package com.zh.lingnuo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.lingnuo.controller.company.CompanyQnTitleController;
import com.zh.lingnuo.model.CompanyQnTitle;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.lingnuo.utils.result.Result;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zh
 * @since 2022-09-19
 */
public interface ICompanyQnTitleService extends IService<CompanyQnTitle> {

    //列表
    Result<List<CompanyQnTitleController.ResultQnTitleList>> qnTitleList(int qnId);

    // 新增
    Result qnTitleAdd(CompanyQnTitleController.paramsQnTitleGroupAdd params);

    // 添入题库题目
    Result qnTitleAddModel(CompanyQnTitleController.paramsQnTitleAddModel params);

    // 修改
    Result qnTitleUpd(CompanyQnTitleController.paramsQnTitleUpd params);

    // 删除
    Result qnTitleDel(CompanyQnTitleController.paramsQnTitleDel params);

}
