package com.zh.lingnuo.service;

import com.zh.lingnuo.controller.UserTokenController;
import com.zh.lingnuo.model.UserToken;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.lingnuo.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-09-08
 */
public interface IUserTokenService extends IService<UserToken> {

    // 登录
    Result<UserTokenController.ResultsLoginUser> login(UserTokenController.ParamsLoginUser params);

    // 退出登录
    Result logout(String token);

}
