package com.zh.lingnuo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.lingnuo.controller.manage.QnTitleController;
import com.zh.lingnuo.model.QnTitle;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.lingnuo.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-09-13
 */
public interface IQnTitleService extends IService<QnTitle> {
    // 列表
    Result<IPage<QnTitleController.resultTitleList>> titleList(QnTitleController.paramsTitleList params);
    // 添加
    Result titleAdd(QnTitleController.paramsTitleAdd params);
    // 修改
    Result titleUpd(QnTitleController.paramsTitleUpd params);
}
